@echo off
REM clnrte.bat - Call clnrte.pl (Requires ActivePerl, or equivalent)      V1.05
REM Clean Route Waypoint names and symbols
REM Reorder waypoints and clean symbols in GPX route files.
REM Syntax:
REM    clnrte [options] infile1.gpx [infile2.gpx ...[infileN.gpx]]
REM    Where infile1.gpx ... infileN.gpx are route files in GPX format.
REM Options:
REM    --help or -h- Display this message.
REM    --outfile or -o - Output File (optional), default is infileX_cln.gpx,
REM                      (does not work with multiple input files).
REM    --reorder or -r | --noreorder or -nor - Reorder/Don't reorder waypoint
REM                                            names (default is to reorder)
REM    --start or -s REM - Starting waypoint number, if reordering,
REM                        (default is 0).
REM    --digits or -d REM - Minimum number of digits in waypoint name, if
REM                         reordering
REM                       (default is 3).
REM    --cleansym or -c | --nocleansym or -noc - Clean/Don't clean waypoint
REM                                       symbols (default is to clean symbols).
REM    --wpsym or -w 'string' - Waypoint symbol, if cleaning symbols, 
REM                             (default is 'Waypoint').
REM    --verbose or -v | --noverbose -nov - Verbose/Nonverbose mode.
REM
REM Copyright (C) Ron Olson 2014
REM

perl "C:\utils\clnrte.pl" --verbose %*
REM Modify above line to change PATH and/or default options.
